DynamicJava Javadoc: Class TreeConstructorInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classinfo
Class TreeConstructorInfo

    java.lang.Object
      |
      +--koala.dynamicjava.classinfo.TreeConstructorInfo

All Implemented Interfaces:
  ConstructorInfo

public class TreeConstructorInfo
extends java.lang.Object
implements ConstructorInfo

The instances of this class provides informations about class constructors not yet compiled to JVM bytecode.

Constructor Summary
`TreeConstructorInfo(ConstructorDeclaration f, ClassFinder cf, ClassInfo dc)` Creates a new class info

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one
`ConstructorDeclaration` | `getConstructorDeclaration()` Returns the constructor declaration
`ClassInfo[]` | `getExceptionTypes()` Returns an array of Class infos that represent the types of the exceptions declared to be thrown by the underlying constructor
`int` | `getModifiers()` Returns the modifiers for the constructor represented by this object
`ClassInfo[]` | `getParameterTypes()` Returns an array of class infos that represent the parameter types, in declaration order, of the constructor represented by this object

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeConstructorInfo

    public TreeConstructorInfo(ConstructorDeclaration f,
                               ClassFinder cf,
                               ClassInfo dc)

  Creates a new class info
  Parameters:
    `f` - the constructor tree
    `cf` - the class finder
    `dc` - the declaring class

Method Detail

### getConstructorDeclaration

    public ConstructorDeclaration getConstructorDeclaration()

  Returns the constructor declaration

### getModifiers

    public int getModifiers()

  Returns the modifiers for the constructor represented by this object
  Specified by:
    `getModifiers` in interface `ConstructorInfo`

### getParameterTypes

    public ClassInfo[] getParameterTypes()

  Returns an array of class infos that represent the parameter types, in declaration order, of the constructor represented by this object
  Specified by:
    `getParameterTypes` in interface `ConstructorInfo`

### getExceptionTypes

    public ClassInfo[] getExceptionTypes()

  Returns an array of Class infos that represent the types of the exceptions declared to be thrown by the underlying constructor
  Specified by:
    `getExceptionTypes` in interface `ConstructorInfo`

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one
  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.